GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

          • Create Resource
          • Batch Create Resources
          • Get Resource Details
          • Batch Get Resource Details
          • Get Resource List by Page
          • Update Resource
          • Delete Resource
          • Batch Delete Resources
          • Associate/Disassociate Application Resources to Tenant
          • Create Permission Namespace
          • Batch Create Permission Namespaces
          • Get Permission Namespace Details
          • Batch Get Permission Namespace Details
          • Update Permission Namespace
          • Delete Permission Namespace
          • Batch Delete Permission Namespaces
          • Authorize Resources
          • Get Authorized Resource List for Principal
          • Check if User Has Permission for Resource Action
          • Get Authorized Principals for Resource
        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Resource and Permission Management

  10. /
  11. Batch Create Resources

¶ Create resources in batches

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Create resources in batches, you can set the description of the resource, the defined operation type, URL identifier, etc.

¶ Method name

ManagementClient.create_resources_batch

¶ Request parameters

NameType
Is it required?
Default value
Description
Sample value
listCreateResourceBatchItemDto[]Yes-Resource list Array length limit: 50.
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ CreateResourceBatchItemDto

nametype
Required
Description
Sample value
codestringyesResource unique identifierecs
descriptionstringnoResource descriptionServer
namestringnoResource nameServer
typestringyesResource type, such as data, API, button, menuDATA
actionsarraynoAction type defined by the resource Nested type: ResourceAction. Array length limit: 100.[{"name":"ecs:Start","description":"Start ECS server"},{"name":"ecs:Stop","description":"Stop ECS server"}]
apiIdentifierstringNoURL identifier of API resourcehttps://my-awesome-api.com/api

¶ ResourceAction

NameType
Is it required?
Description
Sample value
namestringYesResource action nameecs:Start
descriptionstringYesResource action descriptionecs:Start

¶ IsSuccessDto

NameType
Is it required?
Description
Sample value
successbooleanyesWhether the operation was successfultrue
Previous article: Create Resource Next article: Get Resource Details
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.